diff -urpN --exclude-from=/home/davej/.exclude bk-linus/fs/ext2/ialloc.c linux-2.5/fs/ext2/ialloc.c
--- bk-linus/fs/ext2/ialloc.c	2002-11-21 02:19:57.000000000 +0000
+++ linux-2.5/fs/ext2/ialloc.c	2002-11-21 18:02:06.000000000 +0000
@@ -538,6 +538,7 @@ repeat:
 	if (ei->i_flags & EXT2_DIRSYNC_FL)
 		inode->i_flags |= S_DIRSYNC;
 	inode->i_generation = EXT2_SB(sb)->s_next_generation++;
+	inode->i_version = 1;
 	insert_inode_hash(inode);
 
 	unlock_super(sb);
diff -urpN --exclude-from=/home/davej/.exclude bk-linus/fs/ext3/ialloc.c linux-2.5/fs/ext3/ialloc.c
--- bk-linus/fs/ext3/ialloc.c	2002-11-21 02:19:59.000000000 +0000
+++ linux-2.5/fs/ext3/ialloc.c	2002-11-21 18:02:07.000000000 +0000
@@ -559,6 +559,7 @@ repeat:
 	if (IS_DIRSYNC(inode))
 		handle->h_sync = 1;
 	insert_inode_hash(inode);
+	inode->i_version = 1;
 	inode->i_generation = EXT3_SB(sb)->s_next_generation++;
 
 	ei->i_state = EXT3_STATE_NEW;
diff -urpN --exclude-from=/home/davej/.exclude bk-linus/fs/ext3/inode.c linux-2.5/fs/ext3/inode.c
--- bk-linus/fs/ext3/inode.c	2002-11-21 02:19:59.000000000 +0000
+++ linux-2.5/fs/ext3/inode.c	2002-11-21 18:02:07.000000000 +0000
@@ -2250,6 +2250,7 @@ void ext3_read_inode(struct inode * inod
 					 * (for stat), not the fs block
 					 * size */  
 	inode->i_blocks = le32_to_cpu(raw_inode->i_blocks);
+	inode->i_version = 1;
 	ei->i_flags = le32_to_cpu(raw_inode->i_flags);
 #ifdef EXT3_FRAGMENTS
 	ei->i_faddr = le32_to_cpu(raw_inode->i_faddr);
diff -urpN --exclude-from=/home/davej/.exclude bk-linus/fs/ext2/inode.c linux-2.5/fs/ext2/inode.c
--- bk-linus/fs/ext2/inode.c	2002-11-21 02:19:57.000000000 +0000
+++ linux-2.5/fs/ext2/inode.c	2002-11-21 18:02:06.000000000 +0000
@@ -1016,6 +1016,7 @@ void ext2_read_inode (struct inode * ino
 	}
 	inode->i_blksize = PAGE_SIZE;	/* This is the optimal IO size (for stat), not the fs block size */
 	inode->i_blocks = le32_to_cpu(raw_inode->i_blocks);
+	inode->i_version = 1;
 	ei->i_flags = le32_to_cpu(raw_inode->i_flags);
 	ei->i_faddr = le32_to_cpu(raw_inode->i_faddr);
 	ei->i_frag_no = raw_inode->i_frag;
